Understanding Society User Support - Support #890

SDAQ variables
12/12/2017 04:09 PM - Charlotte Hassell

Status: Resolved Start date: 12/12/2017
Priority: Normal % Done: 100%
Assignee: Charlotte Hassell

Category: Youth

Description

My query relates to the SDQ variable scales. It is my understanding that the total SDQ score is calculated by summing four
subscales, relating to conduct problems; emotional symptoms; hyperactivity and inattention; and peer relationship problems. Each of
these subscales are scored from 0-10, with the total difficulties score scored from 0-40. While attempting to subset the total
difficulties variable (g_ypsdqgtv_dv), | noticed that the scores are much higher than expected, ranging from 25-75. The subscales
related to conduct problems (g_ypsdqcp_dv), hyperactivity and inattention (g_ypsdgha_dv) and peer relationship problems
(9_ypsdgpp_dv) also contain scores higher than the expected 0-10. Has there been any change to the scales used to calculate the
SDQ scores?

History

#1 - 12/15/2017 09:37 AM - Stephanie Auty

- Status changed from New to In Progress

- Assignee changed from Charlotte Hassell to Stephanie Auty
- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,
Stephanie Auty - Understanding Society User Support Officer

#2 - 12/15/2017 12:29 PM - Stephanie Auty
- Status changed from In Progress to Feedback
- Assignee changed from Stephanie Auty to Charlotte Hassell

- % Done changed from 10 to 70

Dear Charlotte,

To understand these values, please look at the the online documentation for g_ypsdqtd_dv here:
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/7/datafile/g_youth/variable/g_ypsdatd dv:

The Total Difficulties Score derived from the Strengths and Difficulties Questionnaire (SDQ). The SDQ is a brief behavioural screening questionnaire
designed for children. It is based on 25 items (w_YPSDQA to w_YPSDQY) measuring positive and negative behaviours in children. Items are
rescaled and positive behaviours reverse coded. Five items each are aggregated to five subscales, measuring emotional symptoms (see
w_YPSDQES_DV), conduct problems (see w_YPSDQCP_DV), hyperactivity (see w_YPSDQHA_DV) and peer relationship problems (see
w_YPSDQPP_DV). The SDQ Total Difficulties Score will be missing if more than two items making up any of the subscales are missing. The fifth
scale, measuring prosocial behaviour (see w_YPSDQPS_DV) remains separate. For further information see SQD subscales below. For general
information on scoring the SDQ see http://www.sdqinfo.org/c3.html.

This should explain why g_ypsdqtd_dv has values of up to 75 and the subscale totals have values of up to 30.

Best wishes,
Stephanie Auty - Understanding Society User Support Officer

#3 - 01/02/2018 01:45 PM - Gundi Knies
- File ypsdq_dv_c.do added
- % Done changed from 70 to 90

Dear Charlotte,
further to our previous response we can confirm that the SDQ derived variables are incorrect in Wave 7. Many thanks for pointing us to this issue!
https://www.understandingsociety.ac.uk/documentation/mainstage/dataset-documentation/wave/7/datafile/g_youth/variable/g_ypsdqtd_dv
http://www.sdqinfo.org/c3.html

The reason for the error is that many of the variables in the W7 youth questionnaire data include an unexpected new missing value of 9"Invalid value".
As the SDQ scoring involves reverse coding of some input variables this has led to a scale that usually only runs from 0-2 assuming values of 0-8. We
will address this issue in the next release of Understanding Society, which is planned for this summer.

In the meantime, we advise users to be particularly careful analysing the data from the Wave 7 youth questionnaire as a number of variables are
affected. For your convenience, | upload a Stata programme which you (and others who read this post!) can use to replace the SQD variables with
the corrected scores. Thpe programme creates a small file that contains the derived SDQ variables and the pidp.

We are really sorry for the inconvenience caused.

With best wishes for 2018,
Gundi

#4 - 02/12/2018 12:24 PM - Alita Nandi

- Status changed from Feedback to Resolved

#5 - 08/14/2018 04:01 PM - Stephanie Auty
- % Done changed from 90 to 100

Files

ypsdqg_dv_c.do 3.27 KB 01/02/2018 Gundi Knies
